OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.TransformFeedback3

Contents

- Functions
- Tokens

Description

All raw functions, tokens and types from the ARB_transform_feedback3 extension, see http://www.opengl.org/registry/specs/ARB/transform_feedback3.txt.

Synopsis

- glDrawTransformFeedbackStream :: GLenum -> GLuint -> GLuint -> IO ()
- glBeginQueryIndexed :: GLenum -> GLuint -> GLuint -> IO ()
- glEndQueryIndexed :: GLenum -> GLuint -> IO ()
- glGetQueryIndexediv :: GLenum -> GLuint -> GLenum -> Ptr GLint -> IO ()
- gl_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum
- gl_MAX_VERTEX_STREAMS :: GLenum

# Functions

glDrawTransformFeedbackStream :: GLenum -> GLuint -> GLuint -> IO ()

glBeginQueryIndexed :: GLenum -> GLuint -> GLuint -> IO ()

glEndQueryIndexed :: GLenum -> GLuint -> IO ()

glGetQueryIndexediv :: GLenum -> GLuint -> GLenum -> Ptr GLint -> IO ()

# Tokens

gl_MAX_TRANSFORM_FEEDBACK_BUFFERS :: GLenum

gl_MAX_VERTEX_STREAMS :: GLenum